@use "../variables" as v;
@use "../mixins";

.revolutionary-editor {
  &__container {
    max-width: v.$desktop + 0px;
    @include mixins.safepaddings;
    margin: 0 auto;
  }
  &__description {
    padding: 0 8px 32px 16px;
    font-family: Lato;
    font-size: 14px;
    line-height: 143%;
    text-align: center;
  }
  &__github-button-wrapper {
    padding: 0 0 120px 0;
    @include mixins.flex-placement-row();
    justify-content: center;
    color: #323232;
  }
  &__title {
    margin: 130px auto 27px auto;
    padding: 0 13px 0 14px;
    color: #635c73;
    text-transform: uppercase;
    text-align: center;
    font-family: Montserrat;
    font-weight: 700;
    font-size: 26px;
    line-height: 108%;
  }
}

@media (min-width: v.$mobile + 1px) and (max-width: v.$tablet + 0px) {
  .revolutionary-editor {
    &__description {
      padding: 0 30px 24px 29px;
      font-size: 21px;
      line-height: 152%;
    }
    &__github-button-wrapper {
      padding: 0 0 160px 0;
    }
    &__title {
      margin: 150px auto 33px auto;
      padding: 0 80px 0 69px;
      font-size: 42px;
      line-height: 100%;
    }
  }
}

@media (min-width: v.$tablet + 1px) {
  .revolutionary-editor {
    &__description {
      padding: 0 272px 13px 227px;
      font-size: 21px;
      line-height: 152%;
    }
    &__github-button-wrapper {
      padding: 0 0 164px 0;
    }
    &__title {
      margin: 130px auto 35px auto;
      padding: 0 80px 0 69px;
      font-size: 54px;
      line-height: 100%;
    }
  }
}
